Subject: bug#21517: 11.88.8; Error parsing wrong in Plain TeX mode

From: jfbu <[email-masked]>
Date: Sat, 19 Sep 2015 10:38:34 +0200

Remember to cover the basics, that is, what you expected to happen and
what in fact did happen.

The following Plain TeX source:

\underline{A}%
\bye

generates as expected errors in the log:

-------------------- log file
This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2015) (preloaded format=pdfetex 2015.9.14)  19 SEP 2015 10:23
entering extended mode
 restricted \write18 enabled.
 %&-line parsing enabled.
**\input bugauctex.tex
(./bugauctex.tex
! Missing $ inserted.
<inserted text> 
                $
<to be read again> 
                   \underline 
l.2 \underline
              {A}%
I've inserted a begin-math/end-math symbol since I think
you left one out. Proceed, with fingers crossed.

! Missing $ inserted.
<inserted text> 
                $
<to be read again> 
                   \par 
\bye ->\par 
            \vfill \supereject \end 
l.3 \bye
        
I've inserted a begin-math/end-math symbol since I think
you left one out. Proceed, with fingers crossed.
-------------------- end of extract of log file

I see in the message mini-buffer
> TeX errors in `*~/_texlatex/1509/bugauctex output*'. Use C-c ` to display.

On C-c `, I get:
> No more errors.

Then I go to Error Overview in the Command menu, and I get:
> TeX-error-overview: No errror or warning to show

I am reporting this today, but noticed it
since a long time (I don't know since when)

Enabled minor modes: Auto-Composition Auto-Compression Auto-Encryption
Auto-Fill Blink-Cursor Column-Number Delete-Selection File-Name-Shadow
Font-Lock Global-Font-Lock Line-Number Mac-Mouse-Wheel Menu-Bar Shell-Dirtrack
Tex-Pdf Tool-Bar Tooltip Transient-Mark

(Information about these minor modes follows the major mode info.)

TeX/P mode defined in `tex-mode.el':
:override advice: `TeX-plain-tex-mode'

Is this actually the AUCTeX plain TeX mode ?

I activated the mode via C-cC-n after entering in the buffer the two
lines
\underline{A}%
\bye

Best,

Jean-Francois
------------------------------------------------------------------------
Emacs  : GNU Emacs 24.5.6 (x86_64-apple-darwin13.4.0, Carbon Version 157 AppKit 1265.21)
 of 2015-08-26 on Atago.local
Package: 11.88.8

current state:
==============
(setq
 AUCTeX-date "2015-08-28"
 window-system 'mac
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex"
		  "/Users/XXXXXXXX/.emacs.d/elpa/auctex-11.88.8/style"
		  "/Users/XXXXXXXX/.emacs.d/auctex/auto"
		  "/Users/XXXXXXXX/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
[snip]
)